<template>
  <div class="about">
    <button @click="handleOne">AboutOne</button>
    <button @click="handleTow">AboutTow</button>
    <button @click="handleTow">AboutTow</button>
    <router-view :key="key"/>
  </div>
</template>

<script>
export default {
  name: 'About',
  data () {
    return {
      msg: 'About',
      id:1
    }
  },
  computed:{
      key(){
        return this.$route.name!==undefined?this.$route.name+new Date():this.route+new Date();
      }
  },
  methods:{
    handleOne(){
        this.$router.push({
            name:'AboutOne'
        })
    },
    handleTow(){
        this.id=this.id+1;
        console.log(this.id);
        this.$router.push({
            name:'AboutTow',
            query:{
                id:this.id
            }
        })
    },
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this compAboutnt only -->
<style scoped>

</style>
